local data = {}
select(2,...).bossData = data
local L = select(2,...).getLocalized
local N = DIFFICULTY_DUNGEON_NORMAL
local H = DIFFICULTY_DUNGEON_HEROIC

--------------------
-- Ragefire Chasm --
--------------------
data[680] = {
	[N] = {
		splits = {
			{
				"ADAROGG",
				"Adarogg",
				{
					{"NPCDEATH",61408},
				},
			},
			{
				"KORANTHAL",
				"Dark Shaman Koranthal",
				{
					{"NPCDEATH",61412},
				},
			},
			{
				"SLAGMAW",
				"Slagmaw",
				{
					{"NPCDEATH",61463},
				},
			},
		},
		finish = {
			{"NPCDEATH",61528},
		},
	},
}

---------------
-- Deadmines --
---------------
data[756] = {
	[N] = {
		splits = {
			{
				"GLUBTOK",
				"Glubtok",
				47162,
			},
			{
				"HELIXGEARBREAKER",
				"Helix Gearbreaker",
				47296,
			},
			{
				"FOEREAPER",
				"Foe Reaper 5000",
				43778,
			},
			{
				"RIPSNARL",
				"Admiral Ripsnarl",
				47626,
			},
		},
		finish = 47739,
	},
	[H] = {
		splits = {
			{
				"GLUBTOK",
				"Glubtok",
				47162,
			},
			{
				"HELIXGEARBREAKER",
				"Helix Gearbreaker",
				47296,
			},
			{
				"FOEREAPER",
				"Foe Reaper 5000",
				43778,
			},
			{
				"RIPSNARL",
				"Admiral Ripsnarl",
				47626,
			},
			{
				"COOKIE",
				"\"Captain\" Cookie",
				47739,
			},
		},
		finish = 49541,
	},
}

---------------------
-- Wailing Caverns --
---------------------
data[749] = {
	[N] = {
		splits = {
			{
				"ANACONDRA",
				"Lady Anacondra",
				3671,
			},
			{
				"COBRAHN",
				"Lord Cobrahn",
				3669,
			},
			{
				"PYTHAS",
				"Lord Pythas",
				3670,
			},
			{
				"SERPENTIS",
				"Lord Serpentis",
				3673,
			},
		},
		finish = 3654,
	},
}

---------------------
-- Shadowfang Keep --
---------------------
data[764] = {
	[N] = {
		splits = {
			{
				"ASHBURY",
				"Baron Ashbury",
				46962,
			},
			{
				"SILVERLAINE",
				"Baron Silverlaine",
				3887,
			},
			{
				"SPRINGVALE",
				"Commander Springvale",
				4278,
			},
			{
				"WALDEN",
				"Lord Walden",
				46963,
			},
		},
		finish = 46964,
	},
}
data[764][H] = data[764][N]

-----------------------
-- Blackfathom Deeps --
-----------------------
data[688] = {
	[N] = {
		splits = {
			{
				"GHAMOORA",
				"Ghamoo-ra",
				4887,
			},
			{
				"SAREVESS",
				"Lady Sarevess",
				4831,
			},
			{
				"GELIHAST",
				"Gelihast",
				6243,
			},
			{
				"LORGUSJETT",
				"Lorgus Jett",
				12902,
			},
			{
				"SERRAKIS",
				"Old Serra'kis",
				4830,
			},
			{
				"KELRIS",
				"Twilight Lord Kelris",
				4832,
			},
		},
		finish = 4829,
	},
}

---------------
-- Stockades --
---------------
data[690] = {
	[N] = {
		finish = {
			{"ADVDEATH",46254,function() hoggerdead = true if overheatdead and molochdead then return true end end},
			{"ADVDEATH",46264,function() overheatdead = true if hoggerdead and molochdead then return true end end},
			{"ADVDEATH",46383,function() molochdead = true if hoggerdead and overheatdead then return true end end},
		},
	},
}

----------------
-- Gnomeregan --
----------------
data[691] = {
	[N] = {
		splits = {
			{
				"GRUBBIS",
				"Grubbis",
				7361,
			},
			{
				"VISCOUSFALLOUT",
				"Viscous Fallout",
				7079,
			},
			{
				"ELECTROCUTIONER",
				"Electrocutioner 6000",
				6235,
			},
			{
				"CROWDPUMMELER",
				"Crowd Pummeler 9-60",
				6229,
			},
		},
		finish = 7800,
	},
}

-------------------
-- Scarlet Halls --
-------------------
data[871] = {
	[N] = {
		splits = {
			{
				"HOUNDMASTER",
				"Houndmaster Braun",
				59303,
			},
			{
				"ARMSMASTER",
				"Armsmaster Harlan",
				58632,
			},
		},
		finish = 59150,
	},
}
data[871][H] = data[871][N]

-----------------------
-- Scarlet Monastery --
-----------------------
data[874] = {
	splits = {
		{
			"THALNOS",
			"Thalnos the Soulrender",
			59789,
		},
		{
			"KORLOFF",
			"Brother Korloff",
			59223,
		},
	},
	finish = {
		{"CHAT_MSG_MONSTER_YELL",function(_,msg) if msg == L("ENC_WHITEMANE_PULL") then whitemanedead = false end end},
		{"CHAT_MSG_MONSTER_YELL",function(_,msg) if msg == L("ENC_WHITEMANE_REZ") then duranddead = false end end},
		{"ADVDEATH",3977,function() whitemanedead = true if duranddead then return true end end},
		{"ADVDEATH",60040,function() duranddead = true if whitemanedead then return true end end},
	},
}

--------------------
-- Razorfen Kraul --
--------------------
data[761] = {
	[N] = {
		splits = {
			{
				"JARGBA",
				"Death Speaker Jargba",
				4428,
			},
			{
				"ROOGUG",
				"Roogug",
				6168,
			},
			{
				"AGGEMTHORNCURSE",
				"Aggem Thorncurse",
				4424,
			},
			{
				"RAMTUSK",
				"Overlord Ramtusk",
				4420,
			},
			{
				"AGATHELOS",
				"Agathelos the Raging",
				4422,
			},
		},
		finish = 4421,
	},
}

--------------
-- Maraudon --
--------------
data[750] = {
	[N] = {
		splits = {
			{
				"LANDSLIDE",
				"Landslide",
				12203,
			},
		},
		finish = 12201,
	}
}

-------------
-- Uldaman --
-------------
data[692] = {
	[N] = {
		finish = 2748,
	},
}

-----------------
-- Scholomance --
-----------------
data[898] = {
	[N] = {
		splits = {
			{
				"CHILLHEART",
				"Instructor Chillheart",
				{
					{"NPCDEATH",58664},
				},
			},
			{
				"JANDICEBAROV",
				"Jandice Barov",
				{
					{"NPCDEATH",59184},
				},
			},
			{
				"RATTLEGORE",
				"Rattlegore",
				{
					{"NPCDEATH",59153},
				},
			},
			{
				"LILIANVOSS",
				"Lilian Voss",
				{
					{"YELL","ENC_LILIANVOSS_KILL"},
				},
			},
		},
		finish = 59080,
	},
}
data[898][H] = data[898][N]

--------------------
-- Razorfen Downs --
--------------------
data[760] = {
	[N] = {
		splits = {
			{
				"TUTENKASH",
				"Tuten'kash",
				{
					{"NPCDEATH",7355},
				},
			},
			{
				"MORDRESH",
				"Mordresh Fire Eye",
				{
					{"NPCDEATH",7357},
				},
			},
			{
				"GLUTTON",
				"Glutton",
				{
					{"NPCDEATH",8567},
				},
			},
		},
		finish = {
			{"NPCDEATH",7358},
		},
	},
}

---------------
-- Dire Maul --
---------------
data[699] = {
	[N] = {
		finish = 11501,
	},
}

----------------
-- Zul'Farrak --
----------------
data[686] = {
	[N] = {
		finish = 7267,
	},
}

----------------
-- Stratholme --
----------------
data[765] = {
	[N] = {
		splits = {
			{
				"ZIGGURATS",
				"Ziggurat bosses",
				{
					{"ADVDEATH",10436,function() anastaridown = true if nerubdown and malekidown then return true end end},
					{"ADVDEATH",10437,function() nerubdown = true if anastaridown and malekidown then return true end end},
					{"ADVDEATH",10438,function() malekidown = true if anastaridown and nerubdown then return true end end},
				},
			},
			{
				"BARTHILAS",
				"Magistrate Barthilas",
				10435,
			},
			{
				"RAMSTEIN",
				"Ramstein the Gorger",
				10439,
			},
		},
		finish = 45412,
	},
}

-------------------
-- Sunken Temple --
-------------------
data[687] = {
	[N] = {
		splits = {
			{
				"JAMMALAN",
				"Jammal'an the Prophet",
				5710,
			},
			{
				"AVATAROFHAKKAR",
				"Avatar of Hakkar",
				8443,
			},
		},
		finish = 5709
	},
}

----------------------
-- Blackrock Depths --
----------------------
data[704] = {
	[N] = {
		splits = {
			{
				"THESEVEN",
				"The Seven",
				9039,
			},
			{
				"MAGMUS",
				"Magmus",
				9938,
			},
		},
		finish = 9019,
	},
}

---------------------
-- Blackrock Spire --
---------------------
data[721] = {
	[N] = {
		finish = 10363,
	},
}

-----------------------
-- Hellfire Ramparts --
-----------------------
data[797] = {
	[N] = {
		splits = {
			{
				"GARGOLMAR",
				"Watchkeeper Gargolmar",
				17306,
			},
			{
				"OMOR",
				"Omor the Unscarred",
				17308,
			},
			{
				"VAZRUDEN",
				"Vazruden the Herald",
				17537,
			},
		},
		finish = {
			{"ADVDEATH",17308,function() omordead = true if vazrudendead then return true end end},
			{"ADVDEATH",17537,function() vazrudendead = true if omordead then return true end end},
		},
	},
}
data[797][H] = data[797][N]

-------------------
-- Blood Furnace --
-------------------
data[725] = {
	[N] = {
		splits = {
			{
				"MAKER",
				"The Maker",
				17381,
			},
			{
				"BROGGOK",
				"Broggok",
				17380,
			},
		},
		finish = 17377,
	},
}
data[725][H] = data[725][N]

----------------
-- Slave Pens --
----------------
data[728] = {
	[N] = {
		splits = {
			{
				"MENNU",
				"Mennu the Betrayer",
				17941,
			},
			{
				"ROKMAR",
				"Rokmar the Crackler",
				17991,
			},
		},
		finish = 17942,
	},
}
data[728][H] = data[728][N]

--------------
-- Underbog --
--------------
data[726] = {
	[N] = {
		splits = {
			{
				"HUNGARFEN",
				"Hungarfen",
				17770,
			},
			{
				"GHAZAN",
				"Ghaz'an",
				18105,
			},
			{
				"MUSELEK",
				"Swamplord Musel'ek",
				17826,
			},
		},
		finish = 17882,
	},
}
data[726][H] = data[726][N]

----------------
-- Mana-Tombs --
----------------
data[732] = {
	[N] = {
		splits = {
			{
				"PANDEMONIUS",
				"Pandemonius",
				18341,
			},
			{
				"TAVAROK",
				"Tavarok",
				18343,
			},
			{
				"YOR",
				"Yor",
				22930,
			},
		},
		finish = 18344,
	},
}
data[732][H] = data[732][N]

---------------------
-- Auchenai Crypts --
---------------------
data[722] = {
	[N] = {
		splits = {
			{
				"SHIRRAK",
				"Shirrak the Dead Watcher",
				18371,
			},
		},
		finish = 18373,
	},
}
data[722][H] = data[722][N]

-------------------
-- Sethekk Halls --
-------------------
data[723] = {
	[N] = {
		splits = {
			{
				"DARKWEAVER",
				"Darkweaver Syth",
				18472,
			},
			{
				"ANZU",
				"Anzu",
				23035,
			},
		},
		finish = 18473,
	},
}
data[723][H] = data[723][N]

-----------------------------
-- Old Hillsbrad Foothills --
-----------------------------
data[734] = {
	[N] = {
		splits = {
			{
				"DRAEK",
				"Lieutenant Drake",
				17848,
			},
			{
				"SKARLOC",
				"Captain Skarloc",
				17862,
			},
		},
		finish = 18096,
	},
}
data[734][H] = data[734][N]

----------------------
-- Shadow Labyrinth --
----------------------
data[724] = {
	[N] = {
		splits = {
			{
				"HELLMAW",
				"Ambassador Hellmaw",
				18731,
			},
			{
				"BLACKHEART",
				"Blackheart the Inciter",
				18667,
			},
			{
				"VORPIL",
				"Grandmaster Vorpil",
				18732,
			},
		},
		finish = 18708,
	},
}
data[724][H] = data[724][N]

------------------
-- The Arcatraz --
------------------
data[731] = {
	[N] = {
		splits = {
			{
				"ZEREKETH",
				"Zereketh the Unbound",
				20870,
			},
			{
				"DALLIAH",
				"Dalliah the Doomsayer",
				20885,
			},
			{
				"SOCCOTHRATES",
				"Wrath-Scryer Soccothrates",
				20886,
			},
		},
		finish = 20912,
	},
}
data[731][H] = data[731][N]

------------------
-- The Botanica --
------------------
data[729] = {
	[N] = {
		splits = {
			{
				"SARANNIS",
				"Commander Sarannis",
				17976,
			},
			{
				"FREYWINN",
				"High Botanist Freywinn",
				17975,
			},
			{
				"THORNGRIN",
				"Thorngrin the Tender",
				17978,
			},
			{
				"LAJ",
				"Laj",
				17980,
			},
		},
		finish = 17977,
	},
}
data[729][H] = data[729][N]

----------------------
-- The Black Morass --
----------------------
data[733] = {
	[N] = {
		splits = {
			{
				"DEJA",
				"Chrono Lord Deja",
				17879,
			},
			{
				"TEMPORUS",
				"Temporus",
				17880,
			},
		},
		finish = 17881,
	},
}
data[733][H] = data[733][N]

------------------------
-- Magister's Terrace --
------------------------
data[798] = {
	[N] = {
		splits = {
			{
				"SELINFIREHEART",
				"Selin Fireheart",
				24723,
			},
			{
				"VEXALLUS",
				"Vexallus",
				24744,
			},
			{
				"DELRISSA",
				"Priestess Delrissa",
				"ENC_DELRISSA_KILL",
			},
		},
		finish = 24664,
	},
}
data[798][H] = data[798][N]

------------------
-- The Mechanar --
------------------
data[730] = {
	[N] = {
		splits = {
			{
				"CAPACITUS",
				"Mechano-Lord Capacitus",
				19219,
			},
			{
				"GYROKILL",
				"Gatewatcher Gyro-Kill",
				19218,
			},
			{
				"IRONHAND",
				"Gatewatcher Iron-Hand",
				19710,
			},
			{
				"SEPETHREA",
				"Nethermancer Sepethrea",
				19221,
			},
		},
		finish = 19220,
	},
}
data[730][H] = data[730][N]

---------------------
-- Shattered Halls --
---------------------
data[710] = {
	[N] = {
		splits = {
			{
				"NETHEKURSE",
				"Grand Warlock Nethekurse",
				16807,
			},
			{
				"PORUNG",
				"Blood Guard Porung",
				20923,
			},
			{
				"OMROGG",
				"Warbringer O'mrogg",
				16809,
			},
		},
		finish = 16808,
	},
}
data[710][H] = data[710][N]

--------------------
-- The Steamvault --
--------------------
data[727] = {
	[N] = {
		splits = {
			{
				"THESPIA",
				"Hydromancer Thespia",
				17797,
			},
			{
				"STEAMRIGGER",
				"Mekgineer Steamrigger",
				17796,
			},
		},
		finish = 17798,
	},
}
data[727][H] = data[727][N]

------------------
-- Utgarde Keep --
------------------
data[523] = {
	[N] = {
		splits = {
			{
				"KELESETH",
				"Prince Keleseth",
				23953,
			},
			{
				"SKARVALDALRONN",
				"Constructor & Controller",
				{
					{"ADVDEATH",24200,function() local now=GetTime() if controllerdeath and (now-controllerdeath) < 5 then return true end constructordeath = now end},
					{"ADVDEATH",24201,function() local now=GetTime() if constructordeath and (now-constructordeath) < 5 then return true end controllerdeath = now end},
				},
			},
		},
		finish = "ENC_INGVAR_KILL",
	},
}
data[523][H] = data[523][N]

---------------
-- The Nexus --
---------------
data[520] = {
	[N] = {
		splits = {
			{
				"TELESTRA",
				"Grand Magus Telestra",
				26731,
			},
			{
				"ANOMALUS",
				"Anomalus",
				26763,
			},
			{
				"ORMOROK",
				"Ormorok the Tree-Shaper",
				26794,
			},
			{
				"COMMANDER",
				"Commander",
				{
					{"NPCDEATH",26796},
					{"NPCDEATH",26798},
				},
			},
		},
		finish = 26723,
	},
}
data[520][H] = data[520][N]

-----------------
-- Azjol-Nerub --
-----------------
data[533] = {
	[N] = {
		splits = {
			{
				"GATEWATCHER",
				"Krik'thir the Gatewatcher",
				28684,
			},
			{
				"HADRONOX",
				"Hadronox",
				28921,
			},
		},
		finish = 29120,
	},
}
data[533][H] = data[533][N]

---------------
-- Ahn'kahet --
---------------
data[522] = {
	[N] = {
		splits = {
			{
				"NADOX",
				"Elder Nadox",
				29309,
			},
			{
				"TALDARAM",
				"Prince Taldaram",
				29308,
			},
			{
				"JEDOGASHADOWSEEKER",
				"Jedoga Shadowseeker",
				29310,
			},
		},
		finish = 29311,
	},
}
data[522][H] = data[522][N]

----------------------
-- Drak'Tharon Keep --
----------------------
data[534] = {
	[N] = {
		splits = {
			{
				"TROLLGORE",
				"Trollgore",
				26630,
			},
			{
				"NOVOS",
				"Novos the Summoner",
				26631,
			},
			{
				"KINGDRED",
				"King Dred",
				27483,
			},
		},
		finish = 26632,
	},
}
data[534][H] = data[534][N]

-----------------
-- Violet Hold --
-----------------
data[536] = {
	[N] = {
		finish = 31134,
	},
}
data[536][H] = data[536][N]

-------------
-- Gundrak --
-------------
data[530] = {
	[N] = {
		splits = {
			{
				"SLADRAN",
				"Slad'ran",
				29304,
			},
			{
				"DRAKKARIELEMENTAL",
				"Drakkari Elemental",
				29573,
			},
			{
				"MOORABI",
				"Moorabi",
				29305,
			},
		},
		finish = 29306,
	},
}
data[530][H] = data[530][N]

--------------------
-- Halls of Stone --
--------------------
data[526] = {
	[N] = {
		splits = {
			{
				"MAIDENOFGRIEF",
				"Maiden of Grief",
				27975,
			},
			{
				"KRYSTALLUS",
				"Krystallus",
				27977,
			},
			{
				"TRIBUNALOFTHEAGES",
				"Tribunal of the Ages",
				"ENC_TRIBUNALOFTHEAGES_KILL",
			},
		},
		finish = 27978,
	},
}
data[526][H] = data[526][N]

------------------------
-- Halls of Lightning --
------------------------
data[525] = {
	[N] = {
		splits = {
			{
				"BJARNGRIM",
				"General Bjarngrim",
				28586,
			},
			{
				"VOLKHAN",
				"Volkhan",
				28587,
			},
			{
				"IONAR",
				"Ionar",
				28546,
			},
		},
		finish = 28923,
	},
}
data[525][H] = data[525][N]

---------------------------
-- Trial of the Champion --
---------------------------
data[542] = {
	[N] = {
		splits = {
			{
				"CHAMPIONS",
				"Grand Champions",
				"ENC_CHAMPIONS_KILL",
			},
			{
				"SECONDBOSS",
				"Palatress or Eadric",
				{
					{"YELL","ENC_PALATRESS_KILL"}, -- confessor
					{"YELL","ENC_EADRIC_KILL"}, -- eadric
				},
			},
		},
		finish = "ENC_BLACKKNIGHT_KILL",
	},
}
data[542][H] = data[542][N]

---------------------------
-- Culling of Stratholme --
---------------------------
data[521] = {
	[N] = {
		splits = {
			{
				"MEATHOOK",
				"Meathook",
				26529,
			},
			{
				"SALRAMM",
				"Salramm the Fleshcrafter",
				26530,
			},
			{
				"EPOCH",
				"Chrono-Lord Epoch",
				26532,
			},
			{
				"INFINITECORRUPTOR",
				"Infinite Corruptor",
				32273,
			},
		},
		finish = "ENC_MALGANIS_KILL",
	},
}
data[521][H] = data[521][N]

----------------
-- The Oculus --
----------------
data[528] = {
	[N] = {
		splits = {
			{
				"DRAKOS",
				"Drakos the Interrogator",
				27654,
			},
			{
				"VAROSCLOUDSTRIDER",
				"Varos Cloudstrider",
				27447,
			},
			{
				"UROM",
				"Mage-Lord Urom",
				27655,
			},
		},
		finish = 27656,
	},
}
data[528][H] = data[528][N]

----------------------
-- Utgarde Pinnacle --
----------------------
data[524] = {
	[N] = {
		splits = {
			{
				"SVALASORROWGRAVE",
				"Svala Sorrowgrave",
				26668,
			},
			{
				"GORTOKPALEHOOF",
				"Gortok Palehoof",
				26687,
			},
			{
				"SKADI",
				"Skadi the Ruthless",
				26693,
			},
		},
		finish = 26861,
	},
}
data[524][H] = data[524][N]

--------------------
-- Forge of Souls --
--------------------
data[601] = {
	[N] = {
		splits = {
			{
				"BRONJAHM",
				"Bronjahm",
				36497,
			},
		},
		finish = 36502,
	},
}
data[601][H] = data[601][N]

------------------
-- Pit of Saron --
------------------
data[602] = {
	[N] = {
		splits = {
			{
				"GARFROST",
				"Forgemaster Garfrost",
				36494,
			},
			{
				"ICKRICK",
				"Ick & Krick",
				36476,
			},
		},
		finish = 36658,
	},
}
data[602][H] = data[602][N]

-------------------------
-- Halls of Reflection --
-------------------------
data[603] = {
	[N] = {
		splits = {
			{
				"FALRIC",
				"Falric",
				38112,
			},
			{
				"MARWYN",
				"Marwyn",
				38113,
			},
		
		},
		finish = "ENC_ESCAPEFROMARTHAS_KILL",
	},
}
data[603][H] = data[603][N]

-------------------------
-- Throne of the Tides --
-------------------------
data[767] = {
	[N] = {
		splits = {
			{
				"NAZJAR",
				"Lady Naz'jar",
				40586,
			},
			{
				"ULTHOK",
				"Commander Ulthok",
				40765,
			},
			{
				"ERUNAK",
				"Erunak Stonespeaker",
				40788,
			},
		},
		finish = {
			{"UNIT_SPELLCAST_SUCCEEDED",function(_,_,_,_,_,spellID) if spellID == 83909 then return true end end},
		},
	},
}
data[767][H] = data[767][N]

-----------------------
-- Blackrock Caverns --
-----------------------
data[753] = {
	[N] = {
		splits = {
			{
				"ROMOGG",
				"Rom'ogg Bonecrusher",
				39665,
			},
			{
				"CORLA",
				"Corla, Herald of Twilight",
				39679,
			},
			{
				"KARSH",
				"Karsh Steelbender",
				39698,
			},
			{
				"BEAUTY",
				"Beauty",
				39700,
			},
		},
		finish = 39705,
	},
}
data[753][H] = data[753][N]

---------------------
-- Vortex Pinnacle --
---------------------
data[769] = {
	[N] = {
		splits = {
			{
				"ERTAN",
				"Grand Vizier Ertan",
				43878,
			},
			{
				"ALTAIRUS",
				"Altairus",
				43873,
			},
		},
		finish = 43875,
	},
}
data[769][H] = data[769][N]

---------------
-- Stonecore --
---------------
data[768] = {
	[N] = {
		splits = {
			{
				"CORBORUS",
				"Corborus",
				43438,
			},
			{
				"SLABHIDE",
				"Slabhide",
				43214,
			},
			{
				"OZRUK",
				"Ozruk",
				42188,
			},
		},
		finish = 42333,
	},
}
data[768][H] = data[768][N]

----------------
-- Grim Batol --
----------------
data[757] = {
	[N] = {
		splits = {
			{
				"UMBRISS",
				"General Umbriss",
				39625,
			},
			{
				"THRONGUS",
				"Forgemaster Throngus",
				40177,
			},
			{
				"DRAHGASHADOWBURNER",
				"Drahga Shadowburner",
				40319,
			},
		},
		finish = 40484,
	},
}
data[757][H] = data[757][N]

------------------------------
-- Lost City of the Tol'vir --
------------------------------
data[747] = {
	[N] = {
		splits = {
			{
				"HUSAM",
				"General Husam",
				44577,
			},
			{
				"BARIM",
				"High Prophet Barim",
				43612,
			},
			{
				"LOCKMAW",
				"Lockmaw",
				43614,
			},
		},
		finish = 44819,
	},
	[H] = {
		splits = {
			{
				"HUSAM",
				"General Husam",
				44577,
			},
			{
				"BARIM",
				"High Prophet Barim",
				43612,
			},
			{
				"AUGH",
				"Augh",
				49045,
			},
		},
		finish = 44819,
	},
}
data[747][H] = data[747][N]

--------------
-- Zul'Aman --
--------------
data[781] = {
	[H] = {
		splits = {
			{
				"AKILZON",
				"Akil'zon",
				23574,
			},
			{
				"NALORAKK",
				"Nalorakk",
				23576,
			},
			{
				"JANALAI",
				"Jan'alai",
				23578,
			},
			{
				"HALAZZI",
				"Halazzi",
				23577,
			},
			{
				"MALACRASS",
				"Hex Lord Malacrass",
				24239,
			},
		},
		finish = 23863,
	},
}

----------------------
-- Well of Eternity --
----------------------
data[816] = {
	[H] = {
		splits = {
			{
				"PEROTHARN",
				"Peroth'arn",
				55085,
			},
			{
				"AZSHARA",
				"Queen Azshara",
				"ENC_AZSHARA_KILL",
			},
		},
		finish = "ENC_MANNOROTH_KILL",
	},
}

--------------------------
-- Halls of Origination --
--------------------------
data[759] = {
	[N] = {
		splits = {
			{
				"ANHUUR",
				"Temple Guardian Anhuur",
				39425,
			},
			{
				"PTAH",
				"Earthrager Ptah",
				39428,
			},
			{
				"ANRAPHET",
				"Anraphet",
				39788,
			},
			{
				"ISISET",
				"Isiset",
				39587,
			},
			{
				"AMMUNAE",
				"Ammunae",
				39731,
			},
			{
				"SETESH",
				"Setesh",
				39732,
			},
		},
		finish = 39378,
	},
}
data[759][H] = data[759][N]

--------------
-- End Time --
--------------
data[820] = {
	[H] = {
		splits = {
			{
				"BAINE",
				"Echo of Baine",
				54431,
			},
			{
				"JAINA",
				"Echo of Jaina",
				54445,
			},
			{
				"SYLVANAS",
				"Sylvanas",
				54123,
			},
			{
				"TYRANDE",
				"Echo of Tyrande",
				54544,
			},
		},
		finish = "ENC_MUROZOND_KILL",
	},
}

----------------------
-- Hour of Twilight --
----------------------
data[819] = {
	[H] = {
		splits = {
			{
				"ARCURION",
				"Arcurion",
				54590,
			},
			{
				"ASIRADAWNSLAYER",
				"Asira Dawnslayer",
				54968,
			},
		},
		finish = 54938,
	},
}

---------------
-- Zul'Gurub --
---------------
data[793] = {
	[H] = {
		splits = {
			{
				"VENOXIS",
				"High Priest Venoxis",
				52155,
			},
			{
				"MANDOKIR",
				"Bloodlord Mandokir",
				52151,
			},
			{
				"EDGEOFMADNESS",
				"Edge of Madness",
				{
					{"NPCDEATH",52271},
					{"NPCDEATH",52269},
					{"NPCDEATH",52286},
					{"NPCDEATH",52258},
				},
			},
			{
				"KILNARA",
				"High Priestess Kilnara",
				52059,
			},
			{
				"ZANZIL",
				"Zanzil",
				52053,
			},
		},
		finish = 52148,
	},
}

--------------------------------
-- Temple of the Jade Serpent --
--------------------------------
data[867] = {
	[N] = {
		splits = {
			{
				"WISEMARI",
				"Wise Mari",
				56448,
			},
			{
				"STONESTEP",
				"Lorewalker Stonestep",
				{
					{"SPELLCAST",122714},
					{"NPCDEATH",58826},
				},
			},
			{
				"LIUFLAMEHEART",
				"Liu Flameheart",
				56762,
			},
		},
		finish = 56439,
	},
}
data[867][H] = data[867][N]

------------------------
-- Stormstout Brewery --
------------------------
data[876] = {
	[N] = {
		splits = {
			{
				"OOKOOK",
				"Ook-Ook",
				56637,
			},
			{
				"HOPTALLUS",
				"Hoptallus",
				56717,
			},
		},
		finish = 59479,
	},
}
data[876][H] = data[876][N]

-------------------------
-- Shado-Pan Monastery --
-------------------------
data[877] = {
	[N] = {
		splits = {
			{
				"GUCLOUDSTRIKE",
				"Gu Cloudstrike",
				56747,
			},
			{
				"MASTERSNOWDRIFT",
				"Master Snowdrift",
				{{"SPELLCAST",123096}},
			},
			{
				"SHAOFVIOLENCE",
				"Sha of Violence",
				56719,
			},
		},
		finish = {{"SPELLCAST",125891}},
	},
}
data[877][H] = data[877][N]

----------------------
-- Mogu'shan Palace --
----------------------
data[885] = {
	[N] = {
		splits = {
			{
				"TRIALOFTHEKING",
				"Trial of the King",
				"ENC_TRIALOFTHEKING_KILL",
			},
			{
				"GEKKAN",
				"Gekkan",
				61243,
			},
		},
		finish = 61398,
	},
}
data[885][H] = data[885][N]

----------------------------
-- Siege of Niuzao Temple --
----------------------------
data[887] = {
	[N] = {
		splits = {
			{
				"VIZIER",
				"Vizier Jin'bak",
				61567,
			},
			{
				"COMMANDER",
				"Commander Vo'jak",
				61634,
			},
			{
				"GENERAL",
				"General Pa'valak",
				61485,
			},
		},
		finish = 62205,
	},
}
data[887][H] = data[887][N]

-----------------------------
-- Gate of the Setting Sun --
-----------------------------
data[875] = {
	[N] = {
		splits = {
			{
				"SABOTEUR",
				"Saboteur Kip'tilak",
				56906,
			},
			{
				"STRIKER",
				"Striker Ga'dok",
				56589,
			},
			{
				"COMMANDER",
				"Commander Ri'mok",
				56636,
			},
		},
		finish = 56877,
	},
}
data[875][H] = data[875][N]